标签归档:linux报错

centos环境下安装zend optimizer为什么没成功

centos 环境下zend optimizer
5.4版的要装 zend optimizer 现在改名 ZendGuard
在官网下 载 然后 解压ZendGuardLoader.so到 php/modules  里面
然后在php.ini 最后面加上

zend_extension = 完整路径/ZendGuardLoader.so
zend_loader.enable = 1
zend_loader.disable_licensing = 0
zend_loader.obfuscation_level_support = 3
zend_loader.license_path =

然后重启nginx
为什么就是不能安装成功呢

重启一下php-fpm就可以了 。。只是当时 只重启nginx

configure: error: no acceptable C compiler found in $PATH

1. ./config
2. make
3. make install

执行./configure 然后就出现提示 :

[root@bogon fping-3.10]# ./configure
checking build system type… x86_64-unknown-linux-gnu
checking host system type… x86_64-unknown-linux-gnu
checking target system type… x86_64-unknown-linux-gnu
checking for a BSD-compatible install… /usr/bin/install -c
checking whether build environment is sane… yes
checking for a thread-safe mkdir -p… /usr/bin/mkdir -p
checking for gawk… gawk
checking whether make sets $(MAKE)… yes
checking whether make supports nested variables… yes
checking whether to enable maintainer-specific portions of Makefiles… no
checking for gcc… no
checking for cc… no
checking for cl.exe… no
configure: error: in /root/fping-3.10':
configure: error: no acceptable C compiler found in $PATH
See
config.log’ for more details
error: no acceptable C compiler found in $PATH

提示没有安装GCC组件;
yum install gcc

安装 完成后提示

Installed:
gcc.x86_64 0:4.8.3-9.el7
Dependency Installed:
cpp.x86_64 0:4.8.3-9.el7 glibc-devel.x86_64 0:2.17-78.el7 glibc-headers.x86_64 0:2.17-78.el7
kernel-headers.x86_64 0:3.10.0-229.4.2.el7 libmpc.x86_64 0:1.0.1-3.el7 mpfr.x86_64 0:3.1.1- 4.el7

Complete!